
LibpreludeDB - Bug #263

MySQL session timeout

09/25/2007 10:40 AM - Sebastien Tricaud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.14   

Resolution: fixed   

Description

When I log in prewikka, I have the following traceback:

Traceback (most recent call last):

  File "/usr/lib/python2.4/site-packages/prewikka/Core.py", line 317, in process

    user = self.checkAuth(request)

  File "/usr/lib/python2.4/site-packages/prewikka/Core.py", line 303, in checkAuth

    user = self._env.auth.getUser(request)

  File "/usr/lib/python2.4/site-packages/prewikka/Auth.py", line 137, in getUser

    login = self.checkSession(request)

  File "/usr/lib/python2.4/site-packages/prewikka/Auth.py", line 87, in checkSession

    login, t = self.db.getSession(sessionid)

  File "/usr/lib/python2.4/site-packages/prewikka/Database.py", line 249, in getSession

    rows = self.query("SELECT login, time FROM Prewikka_Session WHERE sessionid = %s" % self.escap

e(sessionid))

  File "/usr/lib/python2.4/site-packages/prewikka/Database.py", line 131, in query

    raise [[PreludeDBError]](e.errno)

[[PreludeDBError]]: [[MySQL]] server has gone away

 

However, the mysql server is up and running. And the problem disappears when I restart the mysql database.

Version I am using: Prewikka 0.9.12.1.

History

#1 - 09/25/2007 10:48 AM - Sebastien Tricaud

I forgot to mention that when I restart mysql, this works for only one request and after the problem reappear.

#2 - 09/25/2007 12:12 PM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

The described problem should be fixed already in changeset r9907.

#3 - 04/29/2009 12:23 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to LibpreludeDB

- Category deleted (2)

- Target version deleted (0.9.14)
